//==========================================================================
// ライト[DX9_Light.h]
// author: tatsuya ogawa
//==========================================================================
#pragma once

//==========================================================================
// include
//==========================================================================
#include <Windows.h>
#include <d3d9.h>
#include <d3dx9.h>

//==========================================================================
// mslib
//==========================================================================
#include "mslib.hpp"

_MSLIB_BEGIN

//==========================================================================
//
// class  : DX9_Light
// Content: ライト 
//
//==========================================================================
class DX9_Light
{
public:
    DX9_Light(LPDIRECT3DDEVICE9 pDevice);
	~DX9_Light();

    /**
    @brief 初期化
    @param aVecDir [in] 光のベクトルを入れるところ
    */
	void Init(const D3DXVECTOR3 & aVecDir);
private:
	D3DLIGHT9 m_aLight; // ライト
    LPDIRECT3DDEVICE9 m_Device;
};

_MSLIB_END